aboutsummaryrefslogtreecommitdiffstats
path: root/src/extract-sh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/extract-sh.sh')
-rwxr-xr-xsrc/extract-sh.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/extract-sh.sh b/src/extract-sh.sh
new file mode 100755
index 0000000..c31df74
--- /dev/null
+++ b/src/extract-sh.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -efu
+
+TREE_GREPPER_LANGUAGE=sh \
+TREE_GREPPER_QUERY='((comment)+)' \
+LINE_COMMENT_START='#' \
+"$(dirname "$0")"/extract-generic.sh "$@"